/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

html, body {
  height: 100%;
	-webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* home  */
.home .elementor-motion-effects-container {
border-radius: 2vw;
}

.random-item, .elementor-element-2ddd00f {
	border-radius: 0vw 0vw 2vw 2vw;
}

.site-header {
  padding-block-end: 0px;
  padding-block-start: 0px;
}

h1 {
	line-height: 3vw;
	margin-top: 1vw;
}
.info-boucle-musee {
min-height: 11vw;
}


p {
	line-height: 1.3vw;
	margin-block-end: 0px;
	text-indent: 2vw;
}

.type-musee p {
  text-indent: 0px !important;
}

h2 {
	line-height: 2.05vw;
}

h3 {
	line-height: 1.95vw;
}

a.poi-trigger {
	font-size: 1vw !important;
	font-weight: 300;
	letter-spacing: 0.01vw;
}

.nom-balade {
	letter-spacing: 0.01vw;
}

#signature {
position: absolute;
  left: 0px;
  bottom: 100px;
  transform: rotate(-90deg);
	left: 0px;
  bottom: 60px;
}

#signature a{
  font-size: 10px !important;
	color: #999;
	border-color: #999;
}



.elementor-widget-heading h2.elementor-heading-title {
	font-size: 1.618vw !important;
}

.elementor a {
  border: 1px solid #000;
  border-radius: 25px;
  padding: 0.15vw 0.8vw 0.2vw 0.8vw;
}

.elementor a.patrimoine {
	background-color: #E58BFF;
	border: 1px solid #E58BFF !important;
	border: none;
}

.elementor a.patrimoine:hover {
	background-color: #ffffff;
	color: #000000 !important;
}

.elementor a.nature {
	background-color: #58FF72;
	border: 1px solid #58FF72 !important;
	border: none;
}

.elementor a.nature:hover {
	background-color: #ffffff;
	color: #000000 !important;
}

.elementor a.sport {
	background-color: #39C9FF;
	border: 1px solid #39C9FF !important;
	border: none;
}

.elementor a.sport:hover {
	background-color: #ffffff;
	color: #000000 !important;
}


.elementor a.gastronomie {
	background-color: #FFF43F;
	border: 1px solid #FFF43F !important;
	border: none;
}

.elementor a.gastronomie:hover {
	background-color: #ffffff;
	color: #000000 !important;
}

.elementor a.musee {
	background-color: #000000;
	color: #ffffff;
	border: 1px solid #000000 !important;
}
.elementor a.musee:hover {
	background-color: #ffffff;
	color: #000000;
	border: none;
}

.elementor a.transparent {
	display: none !important;
}


.elementor a:hover {
	background-color: #000000;
 color: #ffffff;
}

.imageaccueil {
  height: calc(100vh - 7vw);
}

ul.parcours-lies {
  list-style-type: none;   
  margin: 0;          
  padding: 0;   
	text-align: center;
}

ul.parcours-lies li a{
  border: none; 
padding: 0px;
}

ul.parcours-lies li {
  border: 1px solid #000;
  border-radius: 20px;
  margin: 3%;
  transition: transform 0.3s ease;
  line-height: 1.2vw;
  padding: 1%;
}

.elementor ul.parcours-lies a {
  border: none;
  border-radius: 0px;
	padding: 0px; 
}

.parcours-lies-empty {
  display: none;
}

h2.titre-parcours-suggeres {
	text-align: center !important;
}


ul.parcours-lies li:hover {
	background-color: #000000 !important;
 color: #ffffff;
	 transform: scale(1.05);
}

.parcours-suggeres {
	z-index: 1;
}

.fiche-musee {
	z-index: 10;
	padding-top: 25px;
}

.boucle-parcours a {
	 border: 0px solid #000;
}

.img-parcours {
  margin-top: auto;
}

.type-parcours {
  display: flex;
  flex-direction: column;
}


.parcours-details p {
	font-style: normal;
	font-weight: 300;
	letter-spacing: 0.01vw;
}
.parcours-details p a {
padding: 0.15vw 0.5vw 0.02vw 0.5vw;

}
/* MAP */

.w2mb-maps-canvas {
	width: 100%;
	height: auto !important;
  aspect-ratio: 1 / 1;
}

.mapboxgl-ctrl-attrib a {
  font-size: 8px !important;
}

.mapboxgl-ctrl-attrib-inner a, a.mapboxgl-ctrl-logo {
  border: none;
}


.mapboxgl-ctrl-attrib-inner a:hover, a.mapboxgl-ctrl-logo:hover {
	background-color: transparent;
 color: #000000;
	text-decoration: none;
}

.mapboxgl-ctrl.mapboxgl-ctrl-attrib {
  background-color: transparent;
}

a.mapboxgl-ctrl-logo {
	background-size: 50px!important;
	background-position: 0px 10px;
}

.w2mb-content .w2mb-btn {
 margin-right: 5px;
  border-radius: 50% !important;
  height: 38px;
  width: 38px;
}

.w2mb-map-info-window-title-link {
	pointer-events: none!important;
}

.w2mb-map-info-window-title {
  background-color: transparent !important;
  padding: 10px 20px 0px;
}

.mapboxgl-ctrl-attrib.mapboxgl-compact-show .mapboxgl-ctrl-attrib-inner, .mapboxgl-ctrl-attrib.mapboxgl-compact .mapboxgl-ctrl-attrib-button{
	display: none !important;
}


.elementor .w2mb-map-info-window-title a.w2mb-map-info-window-title-link {
	background-color: transparent;
 color: #000000;
	text-decoration: none !important;
	border: none;
	font-size: 2vw !important;
	margin: 0px !important;
	padding: 0px !important;
}

.w2mb-map-info-window {
	font-family: "Plain", sans-serif !important;
}

.w2mb-map-info-window-field a::before {
	content: "→ ";
}

.w2mb-map-info-window-field a {
	border: 1px solid #000000 !important;
	line-height: 27px !important
}

.mapboxgl-popup {
	top: -15px;
}

.w2mb-map-info-window-tongue {
	border-radius: 0px !important;
}

.w2mb-map-info-window-content {
  padding: 0px 10px 10px 20px;
}

.w2mb-map-info-window-field a:hover {
	background-color: #000000 !important;
	color: #ffffff !important;
	text-decoration: none !important;
}

.w2mb-content .mapboxgl-popup-close-button {
  border-radius: 50%;
  background-color: #ffffff !important;
  color: #000000 !important;
  border: 1px solid #000000 !important;
  width: 20px;
  height: 20px;
  padding: 0px 8px 5px 5px;
  margin: 10px !important;
  line-height: 15px !important;
  font-size: 15px !important;
}

.w2mb-close-info-window, .w2mb-map-info-window-logo {
	   position: absolute;
    right: 12px;
    top: 11px;
}

/* On transforme le marker en simple rond */
.w2mb-map-marker {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: #000;           /* couleur du rond */
  border: none;  
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 0.25s ease;
}

.w2mb-content * {
  border: 0px transparent !important;
	border-radius: 25px;
}



/* On cache l’icône interne (Font Awesome) */
.w2mb-map-marker-icon {
  display: none !important;
}

/* Si le plugin dessine une petite pointe avec ::before/::after, on la supprime */
.w2mb-map-marker::before,
.w2mb-map-marker::after {
  display: none !important;
}

/* Effet d’agrandissement qu’on a déjà mis côté JS */
.w2mb-map-marker.marker-enlarge {
  transform: scale(1.6);
  transform-origin: center center;
  z-index: 9999;
}

/* zone gastro */
#marker-id-55, #marker-id-61, #marker-id-60, #marker-id-66 {
  z-index: 10 !important;
}

#marker-id-108, #marker-id-110, #marker-id-112 {
  z-index: 1 !important;
}

.mapboxgl-map div {
  z-index: 100;
}

.w2mb-content .mapboxgl-popup-close-button {
  z-index: 200;
}
/* fin zone gastro */


.w2mb-content ul {
  margin-top: 0;
  margin-bottom: 10px;
  padding: 0px 0px 0px 10px;
}


.liste-puce ul li::marker {
 font-size: 2.6vw;
  line-height: 0vw;  
}


.liste-puce ul li:nth-child(1)::marker {
 color: red;
}

.liste-puce ul li:nth-child(1) svg {
 fill: #58FF72 !important;
}

.liste-puce ul li:nth-child(2) svg {
 fill: #39C9FF !important;
}

.liste-puce ul li:nth-child(3) svg {
 fill: #FFF43F !important;
}

.liste-puce ul li:nth-child(4) svg {
 fill: #E58BFF !important;
}


.w2mb-map-info-window-field .w2mb-map-field-icon {
display: none !important;
}

.w2mb-map-info-window-field {
  line-height: 15px !important;
}


.w2mb-map-marker.zone-gastro{
  width: 50px !important;
  height: 50px !important;
  border-radius: 50%;
  filter: blur(10px);
  pointer-events: none;
	z-index: 0 !important;
}

html.w2mb-scan-hide .mapboxgl-popup {
  display: none !important;
}
.home .w2mb-maps-canvas {
  width: 100%;
  height: 33vw !important;
}

@media (max-width: 767px) {
  /* styles appliqués en dessous de 767px */
.elementor-widget-heading h2.elementor-heading-title {
  font-size: 21px !important;
	line-height: 22px;
}
	
	.parcours-details p a {
  padding: 0.5px 7px;
}
	
	 .home .e-con.e-flex {
    --flex-wrap: none !important;
  }
	
	.home .w2mb-maps-canvas {
  width: 100%;
  height: 50vw !important;
}
	
	h1 {
	line-height: 28px;
	margin-top: 7px;
}
	
	
a.poi-trigger {
	font-size: 14px !important;
}
.w2mb-maps-canvas {
  height: 500px !important;
	}

p {
	line-height: 17px;
	text-indent: 10px;
}


h2 {
	line-height: 25px;
}

h3 {
	line-height: 25px;
}
	
	.elementor a {
  padding: 0px 5px 0px 5px;
}

	.parcours-lies a {
		padding: 5px 5px 5px 5px;
	}
	
	.imageaccueil {
  height: 40vh;
}
	ul.parcours-lies li {
  line-height: 15px;
}


}


@media (max-width: 1250px) {
  /* styles appliqués en dessous de 1250px */
	.mapboxgl-map div, .mapboxgl-map span, .mapboxgl-map label, .mapboxgl-map a {
  font-size: 10px !important;
}
	
.mapboxgl-map div.w2mb-map-info-window-title, .mapboxgl-map div.w2mb-map-info-window-title a.w2mb-map-info-window-title-link {
  font-weight: bold !important;
  font-size: 10px !important;
}
	
	.w2mb-map-info-window-field {
  line-height: 12px !important;
}
.w2mb-map-info-window-content {
  padding: 0px 5px 5px 10px;
}

.w2mb-map-info-window-title {
  padding: 5px 10px 0px;
}

.w2mb-map-info-window {
  border-radius: 15px !important;
}

.w2mb-content .mapboxgl-popup-close-button {
  margin: 4px;
}

	

}
@media (orientation: portrait) {
  /* affichage vertical */
  .home .w2mb-maps-canvas {
    width: 100%;
    height: 369px !important;
  
}
	

}
